%global modname pyramid

Name:           python-%{modname}
Version:        1.4
Release:        1%{?dist}
Summary:        The Pyramid web application framework, a Pylons project

Group:          Development/Libraries
License:        BSD
URL:            http://pylonsproject.com
Source0:        http://pypi.python.org/packages/source/p/pyramid/%{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  python-virtualenv
BuildRequires:  python-docutils
BuildRequires:  python-sphinx

BuildRequires:  python-chameleon >= 1.2.3
BuildRequires:  python-paste > 1.7
BuildRequires:  python-setuptools
BuildRequires:  python-zope-component >= 3.6.0
BuildRequires:  python-translationstring
BuildRequires:  python-venusian >= 1.0
BuildRequires:  python-repoze-lru
BuildRequires:  python-zope-configuration
BuildRequires:  python-zope-deprecation >= 3.5.0

Requires:       python-chameleon >= 1.2.3
Requires:       python-paste > 1.7
Requires:       python-setuptools
Requires:       python-zope-component >= 3.6.0
Requires:       python-translationstring
Requires:       python-venusian >= 1.0
Requires:       python-repoze-lru
Requires:       python-zope-configuration
Requires:       python-zope-deprecation >= 3.5.0

BuildRequires:  python-webob1.2
Requires:       python-webob1.2

# Handle forwards-compat packages for rhel/el6
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-webtest1.3
BuildRequires:  python-paste-script >= 1.7.3
Requires:       python-paste-script >= 1.7.3
BuildRequires:  python-mako0.4
Requires:       python-mako0.4
BuildRequires:  python-zope-interface4
Requires:       python-zope-interface4
BuildRequires:  python-paste-deploy1.5
Requires:       python-paste-deploy1.5
%else
BuildRequires:  python-webtest
BuildRequires:  python-paste-script >= 1.7.4
Requires:       python-paste-script >= 1.7.4
BuildRequires:  python-mako >= 0.3.6
Requires:       python-mako >= 0.3.6
BuildRequires:  python-zope-interface >= 3.8.0
Requires:       python-zope-interface >= 3.8.0
BuildRequires:  python-paste-deploy >= 1.5.0
Requires:       python-paste-deploy >= 1.5.0
%endif

%description
Pyramid is a small, fast, down-to-earth, open source Python web development
framework. It makes real-world web application development and deployment more
fun, more predictable, and more productive.  

%prep
%setup -q -n pyramid-%{version}

# Force that a certain version of webob is imported and not the older one.
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb==1.2.1\", \"PasteDeploy==1.5.0\", \"WebTest==1.3.4\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%files
%doc README.rst LICENSE.txt
%{python_sitelib}/*
%{_bindir}/bfg2pyramid
%{_bindir}/pcreate
%{_bindir}/pserve
%{_bindir}/prequest
%{_bindir}/proutes
%{_bindir}/pshell
%{_bindir}/ptweens
%{_bindir}/pviews

%changelog
* Wed Dec 19 2012 Ralph Bean <rbean@redhat.com> - 1.4
- Latest upstream.

* Mon Dec 10 2012 Ralph Bean <rbean@redhat.com> - 1.4b3-1
- Latest upstream.  1.4b2-1 was a brownbag release.

* Mon Dec 10 2012 Ralph Bean <rbean@redhat.com> - 1.4b2-1
- Latest upstream.

* Wed Nov 28 2012 Ralph Bean <rbean@redhat.com> - 1.4b1-1
- Latest upstream.
- Removed unnecessary defattr and clean section.
- Re-enabled test suite/check section.
- Removed old patch.
- Depend on and force python-webob1.2
- A bunch of new _bindir tools.

* Wed Oct 10 2012 Tomas Dabasinskas <tomas@redhat.com> - 1.2.7-6
- Changed python-mako requires. 
  For rhel python-mako0.4, else python-mako >= 0.3.6

* Thu Sep 26 2012 Tomas Dabasinskas <tomas@redhat.com> - 1.2.7-5
- Added patch to change install requires from python-paste-script >= 1.7.4
  to python-paste-script >= 1.7.3, python-paste-script is provided by Red Hat
  patch applied if running on rhel
- Added version numbers for required packages
  
* Thu Sep 26 2012 Tomas Dabasinskas <tomas@redhat.com> - 1.2.7-4
- For requires, changed python-webob package to python-webob1.2

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 26 2012 Ross Delinger <rossdylan@csh.rit.edu> - 1.2-1
- Updated to upstream version 1.2.7
- Disabled unit tests because of false negatives, will be renabled for the 1.3.x
  release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 18 2011 Luke Macken <lmacken@redhat.com> - 1.1.2-1
- Latest upstream release
- Update our requirements

* Wed Jan  2 2010 Luke Macken <lmacken@redhat.com> - 1.0-1
- Initial package
